org.apache.ignite.ml.pipeline

## Class PipelineMdl<K,V>

- java.lang.Object
- - org.apache.ignite.ml.pipeline.PipelineMdl<K,V>

- Type Parameters:
    `K` - Type of a key in `upstream` data.
    `V` - Type of a value in `upstream` data.
  All Implemented Interfaces:
    Serializable, AutoCloseable, DeployableObject, IgniteModel<Vector,Double>, Model<Vector,Double>

      public final class PipelineMdl<K,V>
      extends Object
      implements IgniteModel<Vector,Double>, DeployableObject

  Wraps the model produced by `Pipeline`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PipelineMdl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getDependencies()` Returns dependencies of this object that can be object with class defined by client side and unknown for server.
    `IgniteModel<Vector,Double>` | `getInternalMdl()`
    `Preprocessor<K,V>` | `getPreprocessor()`
    `Double` | `predict(Vector vector)` Make a prediction for the specified input arguments.
    `String` | `toString()`
    `PipelineMdl<K,V>` | `withInternalMdl(IgniteModel<Vector,Double> internalMdl)`
    `PipelineMdl<K,V>` | `withPreprocessor(Preprocessor<K,V> preprocessor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.IgniteModel

      `andBefore, andThen, andThen, close, combine, toString`

- - ### Constructor Detail

    - #### PipelineMdl

          public PipelineMdl()

  - ### Method Detail

    - #### predict

          public Double predict(Vector vector)

      Description copied from interface: `Model`
      Make a prediction for the specified input arguments.
      Specified by:
        `predict` in interface `Model<Vector,Double>`
      Parameters:
        `vector` - Input arguments.
      Returns:
        Prediction result.

    - #### getPreprocessor

          public Preprocessor<K,V> getPreprocessor()

    - #### getInternalMdl

          public IgniteModel<Vector,Double> getInternalMdl()

    - #### withInternalMdl

          public PipelineMdl<K,V> withInternalMdl(IgniteModel<Vector,Double> internalMdl)

    - #### withPreprocessor

          public PipelineMdl<K,V> withPreprocessor(Preprocessor<K,V> preprocessor)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getDependencies

          public List<Object> getDependencies()

      Returns dependencies of this object that can be object with class defined by client side and unknown for server.
      Specified by:
        `getDependencies` in interface `DeployableObject`

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021